diff --git a/spring-boot/src/main/java/org/springframework/boot/env/PropertySourcesLoader.java b/spring-boot/src/main/java/org/springframework/boot/env/PropertySourcesLoader.java
index f3d51484e25..9ae250f4279 100644
--- a/spring-boot/src/main/java/org/springframework/boot/env/PropertySourcesLoader.java
+++ b/spring-boot/src/main/java/org/springframework/boot/env/PropertySourcesLoader.java
@@ -18,7 +18,7 @@
 
 import java.io.IOException;
 import java.util.Arrays;
-import java.util.HashSet;
+import java.util.LinkedHashSet;
 import java.util.List;
 import java.util.Set;
 
@@ -199,7 +199,7 @@ public MutablePropertySources getPropertySources() {
 	 * @return the file extensions
 	 */
 	public Set<String> getAllFileExtensions() {
-		Set<String> fileExtensions = new HashSet<String>();
+		Set<String> fileExtensions = new LinkedHashSet<String>();
 		for (PropertySourceLoader loader : this.loaders) {
 			fileExtensions.addAll(Arrays.asList(loader.getFileExtensions()));
 		}
